#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'optionDialogSpecialWidget_base.ui'
**
** Created: 2012-11-09T21:48:13
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "optionDialogSpecialWidget_base.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <kcombobox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kurllabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a optionDialogSpecialWidget_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
optionDialogSpecialWidget_base::optionDialogSpecialWidget_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "optionDialogSpecialWidget_base" );
    optionDialogSpecialWidget_baseLayout = new QVBoxLayout( this, 0, 6, "optionDialogSpecialWidget_baseLayout"); 

    kcfg_ShowPS = new QCheckBox( this, "kcfg_ShowPS" );
    optionDialogSpecialWidget_baseLayout->addWidget( kcfg_ShowPS );

    buttonGroup3 = new QButtonGroup( this, "buttonGroup3" );
    buttonGroup3->setColumnLayout(0, Qt::Vertical );
    buttonGroup3->layout()->setSpacing( 6 );
    buttonGroup3->layout()->setMargin( 11 );
    buttonGroup3Layout = new QGridLayout( buttonGroup3->layout() );
    buttonGroup3Layout->setAlignment( Qt::AlignTop );

    editorChoice = new KComboBox( FALSE, buttonGroup3, "editorChoice" );
    editorChoice->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, editorChoice->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addMultiCellWidget( editorChoice, 1, 1, 1, 2 );

    textLabel3 = new QLabel( buttonGroup3, "textLabel3" );
    textLabel3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addWidget( textLabel3, 2, 0 );

    textLabel4 = new QLabel( buttonGroup3, "textLabel4" );
    textLabel4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textLabel4->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addWidget( textLabel4, 3, 0 );

    editorDescription = new QLabel( buttonGroup3, "editorDescription" );
    editorDescription->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, editorDescription->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addMultiCellWidget( editorDescription, 2, 2, 1, 2 );

    kcfg_EditorCommand = new KLineEdit( buttonGroup3, "kcfg_EditorCommand" );
    kcfg_EditorCommand->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, kcfg_EditorCommand->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addMultiCellWidget( kcfg_EditorCommand, 3, 3, 1, 2 );

    textLabel2 = new QLabel( buttonGroup3, "textLabel2" );
    textLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );

    buttonGroup3Layout->addWidget( textLabel2, 1, 0 );

    urll = new KURLLabel( buttonGroup3, "urll" );
    urll->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, urll->sizePolicy().hasHeightForWidth() ) );
    urll->setAlignment( int( KURLLabel::AlignVCenter | KURLLabel::AlignRight ) );

    buttonGroup3Layout->addWidget( urll, 0, 2 );
    spacer3 = new QSpacerItem( 390, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonGroup3Layout->addMultiCell( spacer3, 0, 0, 0, 1 );
    optionDialogSpecialWidget_baseLayout->addWidget( buttonGroup3 );
    languageChange();
    resize( QSize(519, 201).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
optionDialogSpecialWidget_base::~optionDialogSpecialWidget_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void optionDialogSpecialWidget_base::languageChange()
{
    kcfg_ShowPS->setText( tr2i18n( "Show PostScript specials" ) );
    QToolTip::add( kcfg_ShowPS, tr2i18n( "If in doubt, enable this option." ) );
    QWhatsThis::add( kcfg_ShowPS, tr2i18n( "Some DVI files contain PostScript graphics. If enabled, KDVI will use the Ghostview PostScript interpreter to display these. You probably want to enable this option, unless you have a DVI-file whose PostScript part is broken, or too large for your machine." ) );
    buttonGroup3->setTitle( tr2i18n( "Editor for Inverse Search" ) );
    QToolTip::add( editorChoice, tr2i18n( "Choose an editor which is used in inverse search." ) );
    QWhatsThis::add( editorChoice, tr2i18n( "<p>Some DVI files contain 'inverse search' information. If such a DVI file is loaded, you can right-click into KDVI and an editor will open, load the TeX file and jump to the correct position. You can select your favorite editor here. If in doubt, 'nedit' is usually a good choice.</p>\n"
"<p>Check the KDVI manual to see how to prepare DVI files which support the inverse search.</p>" ) );
    textLabel3->setText( tr2i18n( "Description:" ) );
    textLabel4->setText( tr2i18n( "Shell command:" ) );
    editorDescription->setText( QString::null );
    QToolTip::add( editorDescription, tr2i18n( "Explains about the editor's capabilities in conjunction with inverse search." ) );
    QWhatsThis::add( editorDescription, tr2i18n( "<p>Not all editors are well suited for inverse search. For instance, many editors have no command like 'If the file is not yet loaded, load it. Otherwise, bring the window with the file to the front'. If you are using an editor like this, clicking into the DVI file will always open a new editor, even if the TeX file is already open. Likewise, many editors have no command line argument that would allow KDVI to specify the exact line which you wish to edit.</p>\n"
"<p>If you feel that KDVI's support for a certain editor is inadequate, please write to kebekus@kde.org.</p>" ) );
    QToolTip::add( kcfg_EditorCommand, tr2i18n( "Shell-command line used to start the editor." ) );
    QWhatsThis::add( kcfg_EditorCommand, tr2i18n( "If you are using inverse search, KDVI uses this command line to start the editor. The field '%f' is replaced with the filename, and '%l' is replaced with the line number." ) );
    textLabel2->setText( tr2i18n( "Editor:" ) );
    urll->setText( tr2i18n( "What is 'inverse search'? " ) );
    urll->setProperty( "url", tr2i18n( "inv-search" ) );
}

/****************************************************************************
** optionDialogSpecialWidget_base meta object code from reading C++ file 'optionDialogSpecialWidget_base.h'
**
** Created: Fri Nov 9 21:48:13 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "optionDialogSpecialWidget_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *optionDialogSpecialWidget_base::className() const
{
    return "optionDialogSpecialWidget_base";
}

QMetaObject *optionDialogSpecialWidget_base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_optionDialogSpecialWidget_base( "optionDialogSpecialWidget_base", &optionDialogSpecialWidget_base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString optionDialogSpecialWidget_base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "optionDialogSpecialWidget_base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString optionDialogSpecialWidget_base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "optionDialogSpecialWidget_base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* optionDialogSpecialWidget_base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"optionDialogSpecialWidget_base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_optionDialogSpecialWidget_base.setMetaObject( metaObj );
    return metaObj;
}

void* optionDialogSpecialWidget_base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "optionDialogSpecialWidget_base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool optionDialogSpecialWidget_base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool optionDialogSpecialWidget_base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool optionDialogSpecialWidget_base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool optionDialogSpecialWidget_base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
