#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'optionDialogFontsWidget_base.ui'
**
** Created: 2012-11-09T21:48:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "optionDialogFontsWidget_base.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a optionDialogFontsWidget_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
optionDialogFontsWidget_base::optionDialogFontsWidget_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "optionDialogFontsWidget_base" );
    optionDialogFontsWidget_baseLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "optionDialogFontsWidget_baseLayout"); 

    kcfg_UseFontHints = new QCheckBox( this, "kcfg_UseFontHints" );
    optionDialogFontsWidget_baseLayout->addWidget( kcfg_UseFontHints );
    spacer11 = new QSpacerItem( 31, 121, QSizePolicy::Minimum, QSizePolicy::Expanding );
    optionDialogFontsWidget_baseLayout->addItem( spacer11 );
    languageChange();
    resize( QSize(325, 54).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
optionDialogFontsWidget_base::~optionDialogFontsWidget_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void optionDialogFontsWidget_base::languageChange()
{
    kcfg_UseFontHints->setText( tr2i18n( "Use font hinting for Type 1 fonts, if available" ) );
    QToolTip::add( kcfg_UseFontHints, tr2i18n( "You should enable this, if the use of font hinting improves readability on your machine." ) );
    QWhatsThis::add( kcfg_UseFontHints, tr2i18n( "Many modern fonts contain \"font hinting\" information which can be used to improve the appearance of a font on low-resolution displays, such as a computer monitor, or a notebook screen. However, many people find the \"improved\" fonts quite ugly and prefer to have this option disabled." ) );
}

void optionDialogFontsWidget_base::buttonGroup1_clicked(int)
{
    qWarning( "optionDialogFontsWidget_base::buttonGroup1_clicked(int): Not implemented yet" );
}

/****************************************************************************
** optionDialogFontsWidget_base meta object code from reading C++ file 'optionDialogFontsWidget_base.h'
**
** Created: Fri Nov 9 21:48:12 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "optionDialogFontsWidget_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *optionDialogFontsWidget_base::className() const
{
    return "optionDialogFontsWidget_base";
}

QMetaObject *optionDialogFontsWidget_base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_optionDialogFontsWidget_base( "optionDialogFontsWidget_base", &optionDialogFontsWidget_base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString optionDialogFontsWidget_base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "optionDialogFontsWidget_base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString optionDialogFontsWidget_base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "optionDialogFontsWidget_base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* optionDialogFontsWidget_base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ 0, &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"buttonGroup1_clicked", 1, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "buttonGroup1_clicked(int)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"optionDialogFontsWidget_base", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_optionDialogFontsWidget_base.setMetaObject( metaObj );
    return metaObj;
}

void* optionDialogFontsWidget_base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "optionDialogFontsWidget_base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool optionDialogFontsWidget_base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: buttonGroup1_clicked((int)static_QUType_int.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool optionDialogFontsWidget_base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool optionDialogFontsWidget_base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool optionDialogFontsWidget_base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
